#
# spec file for package rubygem-bindata
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bindata
Version:        2.4.2
Release:        lp150.1.1
%define mod_name bindata
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/dmendel/bindata
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A declarative way to read and write binary file formats
License:        Ruby
Group:          Development/Languages/Ruby

%description
BinData is a declarative way to read and write binary file formats.
This means the programmer specifies *what* the format of the binary
data is, and BinData works out *how* to read and write data in this
format.  It is an easier ( and more readable ) alternative to
ruby's #pack and #unpack methods.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING ChangeLog.rdoc NEWS.rdoc README.md" \
  -f

%gem_packages

%changelog
* Thu Feb  8 2018 coolo@suse.com
- updated to version 2.4.2
  see installed ChangeLog.rdoc
  == Version 2.4.2 (2018-01-31)
  * Allow boolean values as parameters.  Requested by Patrik Wenger.
* Sun Sep  3 2017 coolo@suse.com
- updated to version 2.4.1
  see installed ChangeLog.rdoc
  == Version 2.4.1 (2017-08-30)
  * Fix crash with String :length invoking :rel_offset.  Reported by Claudius
    Coenen.
* Mon Apr 10 2017 coolo@suse.com
- updated to version 2.4.0
  see installed NEWS.rdoc
  = 2.4.0
  This release changes the internal API for sanitizing parameters.  This only
  affects those that implement the `#sanitize_parameters` method.
  = 2.3.x
    if params.needs_sanitizing?(:type)
    el_type, el_params = params[:type]
    params[:type] = params.create_sanitized_object_prototype(el_type, el_params)
    end
  = 2.4.0
    params.sanitize_object_prototype(:type)
* Fri Jan 20 2017 coolo@suse.com
- updated to version 2.3.5
  see installed NEWS.rdoc
* Tue Oct 18 2016 coolo@suse.com
- updated to version 2.3.4
  see installed NEWS.rdoc
* Wed Sep  7 2016 coolo@suse.com
- updated to version 2.3.3
  see installed NEWS.rdoc
* Sat Sep  3 2016 coolo@suse.com
- updated to version 2.3.2
  see installed NEWS.rdoc
* Sat Jun 18 2016 coolo@suse.com
- updated to version 2.3.1
  see installed NEWS.rdoc
* Wed Apr  6 2016 coolo@suse.com
- updated to version 2.3.0
  see installed NEWS.rdoc
  = 2.3.0
  This release adds I/O features.
  Seeking forward to an arbitrary offset is achieved with Skip's :to_abs_offset
  parameter.
  Multi pass I/O has been added.  BinData performs I/O in a single pass.  See
  DelayedIO to perform multi pass (backwards seeking) I/O.
  The experimental :adjust_offset feature has been removed.  If you have existing
  code that uses this feature, you need to explicitly require 'bindata/offset' to
  retain this functionality.
* Sun Jan 31 2016 coolo@suse.com
- updated to version 2.2.0
  see installed NEWS.rdoc
* Tue Apr  7 2015 astieger@suse.com
- initial package of rubygem-bindata generated using gem2rpm
